#
# spec file for package gnome-usage
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 Bjørn Lie, Bryne, Norway.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnome-usage
Version:        3.33.2
Release:        bp153.1.18
Summary:        System resources viewer for GNOME
License:        GPL-3.0-only
Group:          System/GUI/GNOME
URL:            https://wiki.gnome.org/Apps/Usage
Source:         https://download.gnome.org/sources/gnome-usage/3.33/%{name}-%{version}.tar.xz

BuildRequires:  meson >= 0.37.0
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.38
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20.10
BuildRequires:  pkgconfig(libdazzle-1.0) >= 3.30
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(tracker-sparql-2.0)

%description
GNOME Usage is a program to view information about the use of system
resources, like memory and disk space.

%lang_package

%prep
%autosetup -p1

%build
%meson \
	%{nil}
%meson_build

%install
%meson_install
%find_lang %{name} %{?no_lang_C}

%files
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Usage.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Usage.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Usage.svg
%{_datadir}/metainfo/org.gnome.Usage.appdata.xml

%files lang -f %{name}.lang

%changelog
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Fri Sep  6 2019 luke@ljones.dev
- Update to version None:
  + Add support for GameMode.
  + Support for correctly identfying Flatpaks (specifically Steam).
  + Add an EditorConfig file.
  + Introduce the new Storage panel.
  + Added/updated/fixed translations.
* Fri Mar 22 2019 bjorn.lie@gmail.com
- Update to version 3.32.0:
  + Retire application menu.
  + Simplify the build scripts.
  + Drop RG and EGG libraries.
  + Use libdazzle.
  + Add filter processes option.
  + Support grouping system processes.
  + Add new application icon.
  + Updated translations.
- Add pkgconfig(libdazzle-1.0) BuildRequires: New dependency.
* Tue Sep 25 2018 bjorn.lie@gmail.com
- Update to version 3.30.0:
  + Support Adwaita dark better.
  + Fix error message grammar/typos.
  + Fix compatibility with newer Vala.
  + Use proper POSIX API in quit-process-dialog.
  + Add scrolling animation to performance view.
  + Update screenshots.
  + Updated translations.
* Mon Mar 12 2018 bjorn.lie@gmail.com
- Update to version 3.28.0:
  + Drop "accountsservice" dependency.
  + process-row: Consume AccountsService data over DBus.
  + Updated translations.
- Drop pkgconfig(accountsservice) BuildRequires: No longer needed.
* Sun Mar  4 2018 bjorn.lie@gmail.com
- Update to version 3.27.92:
  + Add categories to desktop file.
  + Fix flatpak manifest file URLs.
  + Updated translations.
- Drop update-desktop-files BuildRequires and no longer use
  suse_update_desktop_file macro, no longer needed.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Fri Feb  9 2018 bjorn.lie@gmail.com
- Update to version 3.27.90:
  + Updated translations.
- Following upstreams License changes, replace AGPL-3.0 with new
  upstream GPL-3.0 in spec.
* Mon Feb  5 2018 jengelh@inai.de
- Update description.
* Wed Jan 24 2018 bjorn.lie@gmail.com
- Update to version 0.4.5~20180114.6452220:
  + license: Add correct license file with GPLv3.
  + Updated translations.
- Switch Licence tag ref upstreams correction.
* Thu Jan  4 2018 zaitor@opensuse.org
- Update to version 0.4.5~20180103.65d5f93:
  + swap-speedometer: Initialize label to "0%%".
  + Updated translations.
* Fri Dec 22 2017 zaitor@opensuse.org
- Initial packaging for openSUSE.
